Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface LayoutView

All Superinterfaces
  MarkupBasedView, Serializable, View

    public interface LayoutView

extends MarkupBasedView

The Layout view contains all the Page's Portlets and Books and the information needed to organize these object on the user's screen. These portlets and books are laid out in different layout locations called placeholders and are also positioned within the placeholder themselves.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`int` | `getBookCount()` Convenience method to count the total number of books within the placeholders in this layout.
`BookView[]` | `getBookViews()` Get an array of all the books within the placeholders in this layout.
`LayoutDefinition` | `getLayoutDefinition()` Retrieve the associated `LayoutDefinition` from this Layout View.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Getter for the layout definition id.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this layout.
`int` | `getPlaceableCount()` Convenience method to count the total number of placeables (books or portlets) within the placeholders in this layout.
`PlaceableView[]` | `getPlaceableViews()` Return all the placeables (books and portlets) in all the placeholder on this page.
`int` | `getPlaceholderCount()` Convenience method to get the number of placeholders for this layout.
`PlaceholderView` | `getPlaceholderView(int layoutLocation)` Get the placeholder for a given layout location.
`PlaceholderView` | `getPlaceholderView(PlaceholderDefinitionId placeholderDefinitionId)` Get the placeholder for a given database definition ID.
`PlaceholderView[]` | `getPlaceholderViews()` Get all placeholders for this layout.
`int` | `getPortletCount()` Convenience method to count the total number of portlets within the placeholders in this layout.
`PortletView` | `getPortletViewRecursive(String portletInstanceLabel)` Retrieve a PortletView matching the supplied portlet instance label, searching the entire tree starting at this layout and recursing all nested books and pages.
`PortletView[]` | `getPortletViews()` Get an array of all the portlets within the placeholders in this layout.
`String` | `getThumbnailUri()` Get the URI to the thumbnail representation.
`String` | `getWebAppName()` Return the name of the webapp that this layout is associated with.
`boolean` | `isDeleted()` If isDeleted is true then the layout has been removed from the file system.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getLayoutDefinitionId

    LayoutDefinitionId getLayoutDefinitionId()

  Getter for the layout definition id. The layout id is the primary key value for the layout definition in the PF_LAYOUT_DEFINITION table. Unlike Book, Pages, and Portlets, Layouts do not have instances. The admin or end user can still change a layout but that means customizing the page, not the layout.

  Returns
    a non-null unique definition id. This value should never be null as views are obtained via the persistence API.

### getLayoutDefinition

    LayoutDefinition getLayoutDefinition()

  Retrieve the associated `LayoutDefinition` from this Layout View. Layout Views are immutable but Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The Layout Definition is constructed and updated via its .layout file. If you create a new .layout file then a new Layout Definition is created in the database. If you edit the file the changes are automatically seen in the database (during dev time we poll the file system and in production we update the database whenever the webapp is redeployed).

  Returns
    a non-null Layout Definition

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this layout.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getPlaceholderViews

    PlaceholderView[] getPlaceholderViews()

  Get all placeholders for this layout. Return an empty array if there are none.

### getPlaceholderView

    PlaceholderView getPlaceholderView(PlaceholderDefinitionId placeholderDefinitionId)

  Get the placeholder for a given database definition ID. Return null if no such placeholder exists.

### getPlaceholderView

    PlaceholderView getPlaceholderView(int layoutLocation)

  Get the placeholder for a given layout location. Return null if no such placeholder exists.

### getPlaceholderCount

    int getPlaceholderCount()

  Convenience method to get the number of placeholders for this layout.

### getPortletViews

    PortletView[] getPortletViews()

  Get an array of all the portlets within the placeholders in this layout. Returns an empty array if there are no such portlets.

### getPortletCount

    int getPortletCount()

  Convenience method to count the total number of portlets within the placeholders in this layout.

### getBookViews

    BookView[] getBookViews()

  Get an array of all the books within the placeholders in this layout. Returns an empty array if there are no such books.

### getBookCount

    int getBookCount()

  Convenience method to count the total number of books within the placeholders in this layout.

### getPlaceableViews

    PlaceableView[] getPlaceableViews()

  Return all the placeables (books and portlets) in all the placeholder on this page.

### getPlaceableCount

    int getPlaceableCount()

  Convenience method to count the total number of placeables (books or portlets) within the placeholders in this layout.

### getWebAppName

    String getWebAppName()

  Return the name of the webapp that this layout is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns
    a non-null webapp name.

### isDeleted

    boolean isDeleted()

  If isDeleted is true then the layout has been removed from the file system. It was not outright deleted from the database because it is in use by some page somewhere in the system. Either restore the file and this flag will go back to false or remove/replace this layout via the admin tools. If this flag is set on an object the admin tools will display the object with a different icon to denote that it has been removed from the file system

  Returns
    true if this file hase been deleted from the file system.

### getThumbnailUri

    String getThumbnailUri()

  Get the URI to the thumbnail representation.

  Returns
    the URI to the thumbnail.

### getPortletViewRecursive

    PortletView getPortletViewRecursive(String portletInstanceLabel)

  Retrieve a PortletView matching the supplied portlet instance label, searching the entire tree starting at this layout and recursing all nested books and pages.

  Parameters
    `portletInstanceLabel` - the instance label of the portlet
  Returns
    a PortletView or null if one was not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.